Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IPerspectiveListener2

All Superinterfaces:
  IPerspectiveListener

All Known Subinterfaces:
  IPerspectiveListener3, IPerspectiveListener4

All Known Implementing Classes:
  PerspectiveAdapter

    public interface IPerspectiveListener2

extends IPerspectiveListener

Extension interface to `IPerspectiveListener` which adds support for listening to part-specific perspective lifecycle events. For example, this allows a perspective listener to determine which view is being hidden during a `CHANGE_VIEW_HIDE` event.

This interface may be implemented by clients.

Since:
  3.0
See Also:
  `IPageService.addPerspectiveListener(IPerspectiveListener)`, `PerspectiveAdapter`

Method Summary
`void` `perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, IWorkbenchPartReference partRef, String changeId)` Notifies this listener that a part in the given page's perspective has changed in some way (for example, view show/hide, editor open/close, etc).

Methods inherited from interface org.eclipse.ui.IPerspectiveListener
`perspectiveActivated, perspectiveChanged`

Method Detail

### perspectiveChanged

    void perspectiveChanged(IWorkbenchPage page,
                            IPerspectiveDescriptor perspective,
                            IWorkbenchPartReference partRef,
                            String changeId)

  Notifies this listener that a part in the given page's perspective has changed in some way (for example, view show/hide, editor open/close, etc).

  Parameters:
    `page` - the workbench page containing the perspective
    `perspective` - the descriptor for the changed perspective
    `partRef` - the reference to the affected part
    `changeId` - one of the `CHANGE_*` constants on IWorkbenchPage

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.